Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.align
Class AbstractAlignmentSpaceMeasure<S>

    java.lang.Object
      fr.inrialpes.exmo.ontosim.align.AbstractAlignmentSpaceMeasure<S>

All Implemented Interfaces:
  AlignmentSpaceMeasure<S>, Measure<S>

Direct Known Subclasses:
  AlignmentEntitySim, AlignmentGlobalSum, ASAbstractCoverageTraversal, ASShortestPathMeasure

    public abstract class AbstractAlignmentSpaceMeasure<S>

extends Object
implements AlignmentSpaceMeasure<S>

Nested Class Summary

Nested classes/interfaces inherited from interface fr.inrialpes.exmo.ontosim.Measure
`Measure.TYPES`

Field Summary
`protected Matrix<fr.inrialpes.exmo.ontowrap.Ontology,fr.inrialpes.exmo.ontowrap.Ontology>` | `measureMatrix`
`protected org.semanticweb.owl.align.OntologyNetwork` | `network`
`private Map<URI,Set<org.semanticweb.owl.align.Alignment>>` | `uriToAlign`

Constructor Summary
`AbstractAlignmentSpaceMeasure()`
`AbstractAlignmentSpaceMeasure(org.semanticweb.owl.align.OntologyNetwork noo)`

Method Summary
`boolean` | `addAlignment(org.semanticweb.owl.align.Alignment al)`
`protected Set<org.semanticweb.owl.align.Alignment>` | `getAlignments(fr.inrialpes.exmo.ontowrap.Ontology<?> o1, fr.inrialpes.exmo.ontowrap.Ontology<?> o2)`
`void` | `setAlignmentSpace(org.semanticweb.owl.align.OntologyNetwork noo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface fr.inrialpes.exmo.ontosim.Measure
`getDissim, getMeasureValue, getMType, getSim`

Field Detail

### network

    protected org.semanticweb.owl.align.OntologyNetwork network

### measureMatrix

    protected Matrix<fr.inrialpes.exmo.ontowrap.Ontology,fr.inrialpes.exmo.ontowrap.Ontology> measureMatrix

### uriToAlign

    private Map<URI,Set<org.semanticweb.owl.align.Alignment>> uriToAlign

Constructor Detail

### AbstractAlignmentSpaceMeasure

    public AbstractAlignmentSpaceMeasure()

### AbstractAlignmentSpaceMeasure

    public AbstractAlignmentSpaceMeasure(org.semanticweb.owl.align.OntologyNetwork noo)

Method Detail

### setAlignmentSpace

    public void setAlignmentSpace(org.semanticweb.owl.align.OntologyNetwork noo)

  Specified by:
    `setAlignmentSpace` in interface `AlignmentSpaceMeasure<S>`

### addAlignment

    public boolean addAlignment(org.semanticweb.owl.align.Alignment al)
                         throws org.semanticweb.owl.align.AlignmentException

  Specified by:
    `addAlignment` in interface `AlignmentSpaceMeasure<S>`
  Throws:
    `org.semanticweb.owl.align.AlignmentException`

### getAlignments

    protected Set<org.semanticweb.owl.align.Alignment> getAlignments(fr.inrialpes.exmo.ontowrap.Ontology<?> o1,
                                                                     fr.inrialpes.exmo.ontowrap.Ontology<?> o2)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009